Bug 991793 - Black screen after resuming from suspend in Fedora19
Black screen after resuming from suspend in Fedora19
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-04 07:11 EDT by Alex
Modified: 2015-02-17 11:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:33:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (146.12 KB, text/plain)
2013-08-04 07:11 EDT, Alex
no flags Details
/var/log/Xorg.0.log (80.66 KB, text/x-log)
2013-08-04 07:12 EDT, Alex
no flags Details
/var/log/Xorg.1.log (80.16 KB, text/x-log)
2013-08-04 07:13 EDT, Alex
no flags Details
/boot/grub2/grub.cfg (5.49 KB, text/plain)
2013-08-04 07:14 EDT, Alex
no flags Details
xorg.conf (6.08 KB, text/plain)
2013-08-05 18:09 EDT, Alex
no flags Details
/etc/X11 (6.55 KB, application/x-gzip)
2013-08-05 18:12 EDT, Alex
no flags Details
lsmod (2.63 KB, text/plain)
2013-08-05 18:14 EDT, Alex
no flags Details

  None (edit)
Description Alex 2013-08-04 07:11:36 EDT
Created attachment 782472 [details]
/var/log/messages

Description of problem:
Black screen after resuming from suspend in Fedora19

Version-Release number of selected component (if applicable):

Notebook HP 650

[root@localhost ~]# uname -a
Linux localhost.localdomain 3.10.4-300.fc19.x86_64 #1 SMP Tue Jul 30 11:29:05 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

[root@localhost ~]# lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)

How reproducible:


Steps to Reproduce:
1. Start notebook. Log in. Start any application, for example firefox
2. To close a notebook cover. The notebook successfully "sleep up".
3. We wait
4. To open a notebook cover. The notebook is started. Screen is black. The notebook works successfully - there is an access on ssh.

Actual results:
Screen is black

Expected results:


Additional info:

[root@localhost ~]# rpm -qa | grep xorg-
xorg-x11-drv-mga-1.6.2-7.fc19.x86_64
xorg-x11-drv-evdev-2.8.1-2.fc19.x86_64
xorg-x11-xkb-utils-7.7-7.fc19.x86_64
xorg-x11-drv-vmmouse-13.0.0-5.fc19.x86_64
xorg-x11-drv-openchrome-0.3.3-1.fc19.x86_64
xorg-x11-drv-wacom-0.22.0-2.fc19.x86_64
xorg-x11-server-Xorg-1.14.2-7.fc19.x86_64
xorg-x11-drv-nouveau-1.0.7-1.fc19.x86_64
xorg-x11-fonts-Type1-7.5-8.fc19.noarch
xorg-x11-drv-qxl-0.1.1-0.11.20130514git77a1594.fc19.x86_64
xorg-x11-server-utils-7.7-1.fc19.x86_64
xorg-x11-xinit-1.3.2-8.fc19.x86_64
xorg-x11-drv-vesa-2.3.2-9.fc19.x86_64
xorg-x11-drv-ati-7.1.0-5.20130408git6e74aacc5.fc19.x86_64
xorg-x11-drv-intel-2.21.12-1.fc19.x86_64
xorg-x11-drv-synaptics-1.7.1-4.fc19.x86_64
xorg-x11-server-common-1.14.2-7.fc19.x86_64
xorg-x11-drv-vmware-13.0.1-1.fc19.x86_64
xorg-x11-drv-modesetting-0.6.0-7.fc19.x86_64
xorg-x11-font-utils-7.5-17.fc19.x86_64
xorg-x11-glamor-0.5.0-5.20130401git81aadb8.fc19.x86_64
xorg-x11-utils-7.5-9.fc19.x86_64
abrt-addon-xorg-2.1.5-1.fc19.x86_64
xorg-x11-drv-fbdev-0.4.3-9.fc19.x86_64
xorg-x11-xauth-1.0.7-3.fc19.x86_64

[root@localhost ~]# rpm -qa | grep kernel-
kernel-modules-extra-3.10.4-300.fc19.x86_64
kernel-modules-extra-3.10.3-300.fc19.x86_64
kernel-3.9.8-300.fc19.x86_64
kernel-modules-extra-3.9.8-300.fc19.x86_64
kernel-3.10.4-300.fc19.x86_64
kernel-3.10.3-300.fc19.x86_64
Comment 1 Alex 2013-08-04 07:12:49 EDT
Created attachment 782473 [details]
/var/log/Xorg.0.log
Comment 2 Alex 2013-08-04 07:13:23 EDT
Created attachment 782474 [details]
/var/log/Xorg.1.log
Comment 3 Alex 2013-08-04 07:14:46 EDT
Created attachment 782475 [details]
/boot/grub2/grub.cfg
Comment 4 Sergio Monteiro Basto 2013-08-04 21:32:44 EDT
You are using VESA drives , why you have Xorg.1.log and Xorg.0.log ? 
have you any /etc/X11/xorg.conf and /etc/X11/xorg.conf.d/ ?

OEM: Intel(R) Sandybridge/Ivybridge Graphics Chipset Accelerated VGA BIOS

Intel drive should work
Comment 5 Alex 2013-08-05 18:07:35 EDT
Long ago xorg.conf isn't used any more. X does a configuration automatically. But I made the copy of this configuration by means of X - configure. The xorg.conf.new file is attached.
From what you decided, what the VESA driver is used? In my opinion "intel" is used. It indirectly is confirmed by that glxgears gives out 320 FPS.
Comment 6 Alex 2013-08-05 18:09:08 EDT
Created attachment 783048 [details]
xorg.conf
Comment 7 Alex 2013-08-05 18:12:46 EDT
Created attachment 783049 [details]
/etc/X11
Comment 8 Alex 2013-08-05 18:14:15 EDT
Created attachment 783050 [details]
lsmod
Comment 9 Fedora End Of Life 2015-01-09 14:16:28 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 11:33:49 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.